Updates the cellphone or ID number linked to an allocated card.
IMPORTANT: Validation is performed on the cellPhone parameter value of the request message.
cellPhone input format allows:
-
10 digits and starts with 0 (example: 0123456789) or
-
11 digits and starts with 27 (example: 27123456789)
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction. |
| profileNumber | String | 1-20 characters | ✓ | The profile to which the card belongs. |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, tracking number or sequence number of the card to update. |
| idOrPassport | String | 1-50 characters | ✓ | The ID or passport number of the card bearer. |
| cellphoneNumber | String | 10-11 digits | ✓ | The cellphone number of the card bearer.; ; Valid formats:; ; 10 digits and starts with 0 (example: 0123456789) or; ; 11 digits and starts with 27 (example: 27123456789) |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client. | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key. |
<?xml version="1.0"?>
<methodCall>
<methodName>UpdateAllocatedCard</methodName>
<params>
<param>
<value>
<string>0076543212</string>
</value>
</param>
<param>
<value>
<string>8987654321</string>
</value>
</param>
<param>
<value>
<string>876543200212345</string>
</value>
</param>
<param>
<value>
<string>9876545345088</string>
</value>
</param>
<param>
<value>
<string>0712345678</string>
</value>
</param>
<param>
<value>
<string>654321a0-7df8-1234-a1a2-12f34de6c7fa</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20220823T12:38:56</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>123E69D76543C8D3F827E7F12AC94D1F0E7C125B</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value. |
| profileNumber | String | Echo of incoming value. |
| cardNumber | String | Number of the card found using the cardIdentifier. |
| cardSequenceNumber | String | Sequence of the card found using the cardIdentifier. |
| cellphoneNumber | String | Echo of incoming value. |
| clientTransactionID | String | Echo of incoming value. |
| serverTransactionID | String | Transaction ID generated by Paymentology. |
| resultCode | Integer | Status code indicating the transaction result. |
| resultText | String | Text indicating the transaction result. |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>654321a0-7df8-1234-a1a2-12f34de6c7fa</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0076543212</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>8987654321</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>5337123456781234</string>
</value>
</member>
<member>
<name>cardSequenceNumber</name>
<value>
<double>212345</double>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>8987654321-789D12E12345C8D3F827E7F51AC94E2F0E7C005B</string>
</value>
</member>
<member>
<name>cellPhoneNumber</name>
<value>
<string>0712345678</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>